package eu.mhsl.minecraft.WorldMuseum.items.actionItems;

import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.ItemMeta;
import org.jetbrains.annotations.NotNull;

public class SpawnTeleport implements IActionItem {
    private final ItemStack item = generateItem();

    private ItemStack generateItem() {
        ItemStack item = new ItemStack(Material.ENDER_PEARL);
        ItemMeta meta = item.getItemMeta();
        meta.displayName(Component.text("Zum Spawn", NamedTextColor.GOLD));
        item.setItemMeta(meta);
        return item;
    }

    @Override
    public void action(@NotNull Player player) {
        player.teleport(player.getWorld().getSpawnLocation());
    }

    @Override
    public ItemStack getItem() {
        return item;
    }

    @Override
    public int getItemLocation() {
        return 7;
    }
}
